Redmine - Feature #4830

Android client for redmine
2010-02-13 05:40 - oliver stieber

Status: Closed Start date: 2010-02-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

Hi,

| see there is already a iphone client for redmine, it would be cool to have redmine on my G1. (infact | need redmine on my G1).

I'm more than willing to do this if someone can give me a little assistance with the redmine API and ruby (if anything needs to be
done in redmine / ruby to support the G1 or if there are any nice little feature I'd like to add to redmine (and your happy for me to add
/ write a plugin) so | can wrie an android client knowing there's support for the feature in redmine.

Some pointers in the right direction would be helpfull, my current thinking is to start off with the iphone integration, write a mobile java
module that implements the redmine API (or the bits of the redmine API | need initially with the aim of being as compleate as usefull
implementation), and then writing a andriod specific Ul ontop of the java module.

I'm also raising a feature request for a symbian client for redmine as my girlfriend has a nice symbian phone and I'm currenly
encouraging some friends who may also be required to do some stuff with my redmine install on to get the phone too (hopefully | can
also write that, not sure what the developer licensing restrictions are though)

And I'm also going to raise a ticket for a mobile java client (so that any mobile phone that supports mobile java will have a client)

and a mobile java module that implements the redmine API.

the tickets may want to reference each other.

Related issues:
Related to Redmine - Feature #19097: Responsive layout for mobile devices Closed

History

#1 - 2010-02-13 12:41 - Henning Sprang

Hint: Maybe you'd want to correct the name to "android" so people searching for it by the correct name will find it easier :)

#2 - 2010-02-14 16:32 - Jean-Philippe Lang

- Subject changed from Andriod client for redmine to Android client for redmine

#3 - 2010-02-24 12:21 - Henrik Ammer

My HTC Hero has a very good websupport in the browser (and running Android 1.5) so an alternative would be to add another CSS instead for the
display as suggested in this article.

#4 - 2010-02-24 14:50 - Maxim Krusina

| have Hero too, +10 ;)

#5 - 2010-05-03 18:51 - Pavel Samokha

Hi,

| started work on Android client for RedMine - you can find it on http:/vhglabs.com/Product/RedMinerDroid. It's still very early version, but supports
https, working offline and etc. | plan to add more features (like editing, multiple connections and etc.) in near future if would be enough interest.

#6 - 2010-05-07 09:43 - Sam Kuper

If you use Appcelerator (or something else comparable, if there is anything else comparable), you should be able to write a Redmine client that would
work on both Android and on the iPhone. Why not talk to the Redmine iPhone devs about this? You could potentially save quite a lot of duplicated
effort!
http://www.rkblog.rk.edu.pl/w/p/optimizing-websites-iphone-and-android/
http://vhqlabs.com/Product/RedMinerDroid

#7 - 2010-05-16 19:19 - Pavel Samokha
Sam Kuper wrote:
If you use Appcelerator (or something else comparable, if there is anything else comparable), you should be able to write a Redmine client that

would work on both Android and on the iPhone. Why not talk to the Redmine iPhone devs about this? You could potentially save quite a lot of
duplicated effort!

Sam, from my experience, such tools create more headache than help - they save time on simple tasks but make problems when you start doing
something special, what's not provided by framework (appcelerator in this case) or distinct for platform.
P.S. RedMinerDroid is updated - now it can add new issues to your RedMine.

#8 - 2010-06-24 14:22 - Batist Leman
pavel ochman
Could we make a Google project from this? | think making this open source, this could be a real hit! | would like to add some extra features:

¢ Warnings when a critical task is assigned to me.
* Adding a issue and taking a picture as an attachment.

#9 - 2010-06-25 06:50 - Nicholas Kulikov
http://vhalabs.com/Product/RedMinerDroid is unavailable :( Is there a mirror?

#10 - 2010-07-01 09:25 - Nicholas Kulikov

I've downloaded application but it is crashed after Sync operation.
Redmine 0.9.4 (+ some small patches).

p.s. Is it possible to use IP address with custom port? I've tried 192.168.X.X:YYYY.
#11 - 2010-09-27 23:18 - oliver stieber
finally, bitnami install up and running, time on my hands. Post traumatic stress disorder, getting better!

G1 Dead, so I'm going to take it apart and fit it, but | think in the first instance a nice clean generic way for everything and anything to hook into
Redmine seems the first port of call. (SOAP / XMLRPC etc..)

Gona have to do some ruby learning first though.

Hopefully, since SOAP allows introspection, it should be possible to write a client in C#, Java and blah blah, that has some templates and the client
just hooks up SOAP to the templates and away we go.

I'm also thinking of doing some dbus integration, so things can be handled outside redmine (e.g email) by whatever hooks into dbus.

#12 - 2010-10-21 12:01 - Vladimir Dzalbo

anybody tried this http://www.appbrain.com/app/izardroid/com.izar ?

#13 - 2010-10-21 15:07 - Henrik Ammer

Vladimir Dzalbo wrote:

anybody tried this http://www.appbrain.com/app/izardroid/com.izar ?

| just tried it and you can just list issues but that might be because of the REST API not having that many features yet. So things might happen, but
there is issues or roadmap on the webpage of the project so no way of knowing.

#14 - 2010-11-15 16:20 - Patrick Fratczak

Hello,

| am searching for an android redmine app ... RedminerDroid looks great.

| have tried IzarDroid but it is just for visualization ...

| have tried Andromine but it does not work ...

| have tried RedminerDroid and i think it is the one i would like to use but i am waiting for more features, especially on adding issues with options like

"assigned to", "observers" or "tracker selection” ... editing issues or respond to ... etc ...
Will the code source be available to help developping RedminerDroid ?

#15 - 2010-11-15 18:20 - Stefan H Singer

FWIW, | think it would make more sense to be able to have themes for both "desktop” and "mobile" and just access your Redmine server via your
mobile browser. | know Eric Davis has started work on a plugin that would solve this, but | don't know what his timeplan is or anything.
http://vhqlabs.com/Product/RedMinerDroid
https://www.redmine.org/users/11234
http://vhqlabs.com/Product/RedMinerDroid
http://www.appbrain.com/app/izardroid/com.izar
http://www.appbrain.com/app/izardroid/com.izar
http://www.izartechnologies.com/projects/izardroid

#16 - 2011-01-11 11:18 - Luke Dixon

Is RedminerDroid still under active development?

If not are there any plans to make it open source. | wouldn't mind helping with the app, maybe a better interface and a few new features?

#17 - 2011-03-21 20:41 - Pavel Samokha

Hello, guys. I finally returned to RedMinerDroid development - you can find new alpha on http://vhglabs.com/Product/RedMinerDroid. While this alpha
have not so many new features (sorting, new launcher icon, improved view-Ul), it now works over REST API, so | hope in near future we released
app with full issue adding/editing.

#18 - 2011-04-01 17:04 - Pieter Pabst

Pavel Samokha wrote:

Hello, guys. I finally returned to RedMinerDroid development - you can find new alpha on http://vhqlabs.com/Product/RedMinerDroid. While this
alpha have not so many new features (sorting, new launcher icon, improved view-Ul), it now works over REST API, so | hope in near future we
released app with full issue adding/editing.

Does it support non port-80/443?
#19 - 2011-04-01 20:27 - Pavel Samokha
Pieter Pabst wrote:
Pavel Samokha wrote:
Hello, guys. I finally returned to RedMinerDroid development - you can find new alpha on http://vhqglabs.com/Product/RedMinerDroid. While

this alpha have not so many new features (sorting, new launcher icon, improved view-Ul), it now works over REST API, so | hope in near
future we released app with full issue adding/editing.

Does it support non port-80/443?

| hope so (don't know what can prevent), but not tested it. If you know any public redmine installation with non default ports - I'll test it instantly,
otherwise give me some - for setup test redmine on non-default port.

#20 - 2011-04-02 23:35 - Pavel Samokha
Pavel Samokha wrote:
Pieter Pabst wrote:
Pavel Samokha wrote:
Hello, guys. | finally returned to RedMinerDroid development - you can find new alpha on http://vhglabs.com/Product/RedMinerDroid.

While this alpha have not so many new features (sorting, new launcher icon, improved view-Ul), it now works over REST API, so |
hope in near future we released app with full issue adding/editing.

Does it support non port-80/443?

| hope so (don't know what can prevent), but not tested it. If you know any public redmine installation with non default ports - I'll test it instantly,
otherwise give me some - for setup test redmine on non-default port.

Hello again Pieter, just tested RedMinerDroid with redmine on non-standard port - everything fine.

#21 - 2011-04-25 09:48 - Pavel Samokha

Hello again, Alpha4 available on http://vhglabs.com/Product/RedMinerDroid. Features support for select almost all options for adding issue (tracker,
priority, status, assignee, category n etc.), fix bug with unnecessary permissions and improved form Ul.

#22 - 2011-06-04 16:22 - Pavel Samokha

Alpha5 available on http:/vhalabs.com/Product/RedMinerDroid.

New features: Edit issue, filter issues by status, share issue and view in browser. Also some bugfixes and better performance.
#23 - 2011-07-04 00:41 - Pavel Samokha

Forgot to mention here (may be somebody watches this issue for updates) - Beta3 available on http://vhglabs.com/Product/RedMinerDroid as well as
on Android Market now - so | will no longer announce updates here - you can stay in touch if you install RedMinerDroid from Market.
http://vhqlabs.com/Product/RedMinerDroid
http://vhqlabs.com/Product/RedMinerDroid
http://vhqlabs.com/Product/RedMinerDroid
http://vhqlabs.com/Product/RedMinerDroid
http://vhqlabs.com/Product/RedMinerDroid
https://market.android.com/details?id=com.vhqlabs.redminerdroid

#24 - 2016-03-21 06:52 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

Now we can find a lot of client apps for Android and iPhone. In addition, Redmine 3.2.0 and later support responsive layout(#19097).

#25 - 2016-03-21 06:53 - Go MAEDA

- Related to Feature #19097: Responsive layout for mobile devices added
https://www.redmine.org/projects/redmine/wiki/ThirdPartyTools#Mobile-phone-applications
https://www.redmine.org/issues/19097
http://www.tcpdf.org

